Defender For AI Settings - List
Geeft een overzicht van de instellingen van Defender voor AI.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/defenderForAISettings?api-version=2025-06-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 2maxLength: 64 pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$ |
De naam van het Cognitive Services-account. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string minLength: 1 |
De id van het doelabonnement. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK -- Maak een lijst van de naam van de instelling van de verdediger. |
|
| Other Status Codes |
Foutreactie waarin wordt beschreven waarom de bewerking is mislukt. |
Voorbeelden
ListDefenderForAISetting
Voorbeeldaanvraag
Voorbeeldrespons
{
"value": [
{
"name": "Default",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/defenderForAISettings/Default",
"type": "Microsoft.CognitiveServices/accounts/defenderForAISettings",
"properties": {
"state": "Enabled"
},
"systemData": {
"createdBy": "xxx@microsoft.com",
"createdByType": "User",
"createdAt": "2022-04-03T04:41:33.937Z",
"lastModifiedBy": "xxx@microsoft.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2022-04-03T04:41:33.937Z"
},
"etag": "\"00000000-0000-0000-0000-000000000000\""
}
]
}
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Defender |
De Defender voor AI-resource. |
|
Defender |
De lijst met cognitieve services Defender voor AI-instellingen. |
|
Defender |
Defender voor AI-status op de AI-resource. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DefenderForAISetting
De Defender voor AI-resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
Resource-Etag. |
| id |
string |
Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
De naam van de resource |
| properties.state |
Defender voor AI-status op de AI-resource. |
|
| systemData |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
DefenderForAISettingResult
De lijst met cognitieve services Defender voor AI-instellingen.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
De link die wordt gebruikt om de volgende pagina van Defender for AI-instellingen op te halen. |
| value |
De lijst met Defender voor AI-instellingen. |
DefenderForAISettingState
Defender voor AI-status op de AI-resource.
| Waarde | Description |
|---|---|
| Disabled | |
| Enabled |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |